# https://github.com/trueos/lumina/archive/v1.4.0-p1.tar.gz
%global oname lumina

Name:           lumina-desktop
Version:        1.4.0
Release:        %mkrel 2
Summary:        Lumina Desktop

Group:          Graphical destkop/Lumina
License:        BSD
Url:            https://github.com/trueos/lumina
Source0:        %{oname}-%{version}-p1.tar.xz
Source1:	luminaDesktop.conf
Source2:	%{oname}-settings.desktop
Source3:	%{oname}.lang
Patch0:		%{oname}-1.4.0-poweroff-reboot.patch
Patch1:		%{oname}-1.4.0-fluxbox-init-rc.patch

BuildRequires:	%{_lib}poppler-qt5-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:	%{_lib}qt5concurrent-devel
BuildRequires:	%{_lib}qt5multimediawidgets-devel
BuildRequires:	%{_lib}qt5quickwidgets-devel
BuildRequires:	%{_lib}qt5svg-devel
BuildRequires:	%{_lib}qt5webkitwidgets-devel
BuildRequires:	%{_lib}qt5x11extras-devel
BuildRequires:	%{_lib}qt5xmlpatterns5-devel
BuildRequires:	%{_lib}xcb-util-image-devel
BuildRequires:	%{_lib}xcb-util-wm-devel
BuildRequires:	%{_lib}xcomposite-devel
BuildRequires:	%{_lib}xdamage-devel
BuildRequires:	%{_lib}xrender-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libxcb-devel
BuildRequires:	mesa-devel
BuildRequires:	qtbase5-common-devel
BuildRequires:	qttools5
BuildRequires:	x11-proto-devel
Requires:	compton
Requires:	fluxbox
Requires:	oxygen-icon-theme
Requires:	pavucontrol
Requires:	usermode-consoleonly
Requires:	xbacklight
Requires:	xlockmore
Requires:	xscreensaver
Requires:	xterm

%description
lumina-desktop is a lightweight, BSD licensed desktop environment.

%prep
%setup -qn %{oname}-%{version}-p1
%apply_patches

%build
%qmake_qt5 \
QMAKE_CFLAGS_ISYSTEM= \
LIBS="/lib64" \
CONFIG+=configure \
CONFIG+="WITH_I18N" \
PREFIX="%{_prefix}" \
L_BINDIR="%{_bindir}" \
LIBPREFIX="%{_libdir}" \
L_LIBDIR="%{_libdir}" \
QT5LIBDIR="%{_libdir}" \
L_ETCDIR="%{_sysconfdir}" \
L_MANDIR="%{_mandir}" \
L_SHAREDIR=%{_datadir} \
L_INCLUDEDIR=%{_includedir} \
QMAKE_LFLAGS+="-Wl,--as-needed"
%make_build

%install
%qmakeinstall_std

rm -rf %{buildroot}%{_includedir} %{buildroot}%{_datadir}/xsessions

%__install -d %{buildroot}%{_sysconfdir}/X11/wmsession.d
%__cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/69lumina << EOF
NAME=Lumina
ICON=lumina.png
EXEC=%{_bindir}/start-lumina-desktop
DESC=%{summary}
SCRIPT:
exec %{_bindir}/start-lumina-desktop
EOF

rm -f %{buildroot}/usr/etc/luminaDesktop.conf.dist
%__install -m0644 %{S:1} %{buildroot}%{_sysconfdir}/luminaDesktop.conf.dist
%__install -m0644 %{S:2} %{buildroot}%{_desktopdir}/lumina-settings.desktop

find %{buildroot}/ -name *.desktop -exec sed -i "s:/usr/local/:/usr/:g" {} \;

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-fm.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-search.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-screenshot.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-settings.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/lumina-textedit.desktop

%post
%make_session

%postun
%make_session

%files -f %{S:3}
%defattr(-,root,root)
%doc LICENSE README.md
%{_bindir}/lte
%{_bindir}/lthemeengine
%{_bindir}/lumina-*
%{_bindir}/start-lumina-desktop
%config %{_sysconfdir}/luminaDesktop.conf.dist
%{_sysconfdir}/X11/wmsession.d/69lumina
%{_qt5_plugindir}/platformthemes/liblthemeengine.so
%{_qt5_plugindir}/styles
%{_datadir}/applications/lthemeengine.desktop
%{_datadir}/applications/%{oname}-*.desktop
%{_iconsdir}/material-design-*
%{_datadir}/lthemeengine
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/menu-scripts
%{_datadir}/%{name}/syntax_rules
%{_datadir}/%{name}/themes
%{_datadir}/%{name}/*.ogg
%{_datadir}/%{name}/compton.conf
%{_datadir}/%{name}/desktop-background.jpg
%{_datadir}/%{name}/fluxbox-*
%{_datadir}/%{name}/globs2
%config %{_datadir}/%{name}/luminaDesktop.conf
%{_mandir}/man1/%{oname}-*.1.bz2
%{_mandir}/man8/start-lumina-desktop.8.bz2
%{_datadir}/pixmaps/Insight-FileManager.png
%{_datadir}/pixmaps/Lumina-DE.png

%changelog
* Wed Nov 29 2017 marcin82 <m82 at vp.pl> 1.4.0-2pclos2017
- update to 1.4.0-p1 (patchset 1)
- replaced "libs" patch by LIBS variable setting

* Sun Nov 26 2017 marcin82 <m82 at vp.pl> 1.4.0-1pclos2017
- update, built with translations enabled
- switched to use ConsoleKit Restart and Stop commands (patch0)
- updated luminaDesktop.conf to new format
- added patch1 patch2

* Tue Jan 03 2017 bb <bb> 1.2.0-1pclos2017
- new version

* Tue Aug 09 2016 bb <bb> 1.0.0-1pclos2016
- update

* Sat May 21 2016 bb <bb> 0.9.0-1pclos2016
- update
